import { MeshnodeObject } from '../pwfreader/PWFTypes';
import { Models } from '../procoregl/Models';
export declare class ShortestDistanceController {
    private measureSet;
    private models;
    constructor(params: {
        models: Models;
    });
    getMeasureIds(): number[];
    addMeasureIds(virtualMeshnodeIndices: number[]): void;
    clearMeasureIds(): void;
    hasMeasureIds(arr: number[]): boolean;
    removeMeasureIds(virtualMeshnodeIndices: number[]): void;
    handleMeasurementClick(virtualMeshnodeIndex: number): void;
    getMeasureObjectMeshes(): MeshnodeObject[];
    getMeasureObjectMeshesPartition(): Promise<MeshnodeObject[]>;
}
